import { get, post } from "@/http/http.js"

/**
 * 微信登录
 */
export function api_wechatLoginEncrypt(data){
  return post("/auth/wechatLoginEncrypt", data);
}

/**
 * 微信登录2
 */
export function api_wechatAuth(data){
  return post("/auth/wechatAuth", data);
}

/**
 * 绑定工号
 */
export function api_bindAccount(data){
  return post("/auth/bindAccount", data);
}

/**
 * 获取系统名称
 */
export function api_getSysNameAndLogo(){
  return get("/auth/getSysNameAndLogo");
}

/**
 * 获取字典列表
 */
export function api_getDictionary(data){
  return post("/common/common/getDictionary", data);
}

/**
 * 获取事件列表
 */
export function api_incident(data){
  return post("/user/data/fetchDataList/incident", data);
}

/**
 * 获取事件列表-数量
 */
export function api_incident_count(data){
  return post("/flow/incident/list/count", data);
}

/**
 * 获取楼栋列表
 */
export function api_area(data){
  return post("/user/data/fetchDataList/area", data);
}

/**
 * 获取故障现象列表
 */
export function api_incidentcategory(data){
  return post("/bpm/data/fetchDataList/incidentcategory", data);
}

/**
 * 获取报修图片列表
 */
export function api_wechatRequesterIncident(data){
  return get("/common/common/listAttachment/wechatRequesterIncident/" + data);
}

/**
 * 获取通话音频
 */
export function api_callrecord(data){
  return post("/bpm/data/fetchDataList/callrecord", data);
}

/**
 * 获取工作组列表
 */
export function api_group(data){
  return post("/user/data/fetchDataList/group", data);
}

/**
 * 获取人员列表
 */
export function api_user(data){
  return post("/user/data/fetchDataList/user", data);
}

/**
 * 获取院区列表
 */
export function api_branch(data){
  return post("/user/data/fetchDataList/branch", data);
}

/**
 * 获取责任科室列表
 */
export function api_dutyDepartment(data){
  return post("/user/data/fetchDataList/dutyDepartment", data);
}

/**
 * 获取事件详情
 */
export function api_incidentDetail(data){
  return get("/simple/data/fetchData/incident/" + data);
}

/**
 * 转派
 */
export function api_incidentTask(type, data){
  return post("/flow/incident/task/" + type, data);
}